/* Generated configuration header file - do not edit */
/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products. No 
* other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all 
* applicable laws, including copyright laws. 
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, 
* FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED. TO THE MAXIMUM 
* EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES 
* SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS 
* SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability of 
* this software. By using this software, you agree to the additional terms and conditions found by accessing the 
* following link:
* http://www.renesas.com/disclaimer 
*
* Copyright (C) 2021 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/
/***********************************************************************************************************************
* File Name    : r_emwin_rx_config.h
* Description  : Configures the emWin module.
***********************************************************************************************************************/
/***********************************************************************************************************************
* History : DD.MM.YYYY Version        Description
*         : 31.07.2020 6.14.a.1.00    First Release
*         : 04.09.2020 6.14.a.1.10    Update to adjust r_emwin_rx_config.h file.
*         : 11.12.2020 6.14.g.1.20    Update to adjust emWin v6.14g. Modify multi-touch and timer function.
*                                     Adjust GCC and IAR compilers.
*         : 31.03.2021 6.14.g.1.30    Update to adjust the spec of Smart Configurator and QE for Display.
*         : 29.12.2021 6.20.  1.00    Update emWin library to v6.22.
*                                     Adjust configuration option with Smart Configurator.
***********************************************************************************************************************/
#ifndef R_EMWIN_RX_CONFIG_H
#define R_EMWIN_RX_CONFIG_H

#if defined(QE_EMWIN_CONFIGURATION)
 /*
  *  Header file generated by QE for Display[RX]
  *  Enabled when using QE for Display[RX]
  *  QE for Display[RX] adds the macro definition "QE_EMWIN_CONFIGURATION" to the compile options.
  */
#include "platform.h"
#include "r_glcdc_rx_if.h"
#include "qe_emwin_config.h"

#else

#define ORIENTATION_0    0
#define ORIENTATION_CW   1
#define ORIENTATION_180  2
#define ORIENTATION_CCW  3
/***********************************************************************************************************************
Configuration Options
***********************************************************************************************************************/

#define EMWIN_GUI_NUM_BYTES           (102400)
#define EMWIN_XSIZE_PHYS              (480)
#define EMWIN_YSIZE_PHYS              (272)

#define EMWIN_USE_DRW2D               (1)

#define EMWIN_USE_MULTITOUCH          (0)
#define EMWIN_SLAVE_ADDRESS           (0x00000038)
#define EMWIN_MAX_NUM_TOUCHPOINTS     (10)

#define EMWIN_GUI_FRAME_BUFFER1       (0x00800000)
#define EMWIN_GUI_FRAME_BUFFER2       (0x00840000)
#define EMWIN_USE_DISP_SIGNAL_PIN     (1)
#define EMWIN_DISP_SIGNAL_PIN         (GPIO_PORT_B_PIN_3)
#define EMWIN_USE_BACKLIGHT_PIN       (1)
#define EMWIN_BACKLIGHT_PIN           (GPIO_PORT_6_PIN_7)
#define EMWIN_USE_TOUCH_IC_RESET_PIN  (1)
#define EMWIN_TOUCH_IC_RESET_PIN      (GPIO_PORT_6_PIN_6)
#define EMWIN_SCI_IIC_NUMBER          (6u)
#define EMWIN_BITS_PER_PIXEL          (16)
#define EMWIN_DISPLAY_ORIENTATION     (ORIENTATION_0)

#endif /* QE_EMWIN_CONFIGURATION */


#define DISP_DRV_GUIDRV_LIN     0
#define DISP_DRV_GUIDRV_OTHER   99
#define LCD_IF_GLCDC            0
#define LCD_IF_OTHER            99
#define TOUCH_IF_SCI_IIC        0
#define TOUCH_IF_OTHER          99

#define EMWIN_NUM_BUFFERS             (2)
#define EMWIN_GUI_FRAME_BUFFER3       (0x00000000)
#define EMWIN_DMAC_NUMBER             (0)
#define EMWIN_INIT_DMAC               (1)

#define EMWIN_DISPLAY_DRIVER          (DISP_DRV_GUIDRV_LIN)
#define EMWIN_LCD_IF                  (LCD_IF_GLCDC)

#define EMWIN_USE_TOUCH               (1)
#define EMWIN_TOUCH_IF                (TOUCH_IF_SCI_IIC)
#define EMWIN_TOUCH_IF_NUMBER         (EMWIN_SCI_IIC_NUMBER)

#endif /* R_EMWIN_RX_CONFIG_H */
